Foreman - Bug #9591

Override puppet configuration on host level does not work if specified on host group
03/01/2015 06:26 AM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: Host creation
Target version: 1.10.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1193812 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2230
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1193812
Description of problem:
When editing a host it's not possible to override puppet ca and puppetmaster if the hostgroup specifies these.

Version-Release number of selected component (if applicable):
6.0.7

How reproducible:
Every time

Steps to Reproduce:

1. Create a host group that specifies puppet ca and puppetmaster

2. Assign a host to that host group

3. Edit the host and try remove puppet ca and puppetmaster, click submit
4. The Puppet CA and puppetmaster values are back

Actual results:
The values are still set.

Expected results:
It should be possible to override these values on host level.

Additional info:
Assigning the host to another host group that does not specify puppet ca or puppetmaster works as expected.

Related issues:

Related to Foreman - Bug #6369: Unable to create host without Puppet master w... Closed 06/25/2014
Related to Foreman - Bug #9532: Removing environment from a host in hostgroup... Resolved 02/24/2015
Related to Foreman - Bug #11022: Using a hostgroup with realm makes realm sticky Resolved 07/06/2015
Related to Discovery - Bug #9784: Autoprovisioning via hostgroup does not pop... Closed 03/16/2015
Related to Foreman - Bug #11255: Cloning host with host group throws error: u... Closed 07/30/2015
Related to Foreman - Bug #11437: "Can't modify frozen Array" error on frozen ... Closed 08/19/2015
Related to Foreman - Bug #11665: mail subscriptions can't be removed Closed 09/02/2015
Related to Foreman - Bug #12461: Compute profiles are not applied when inherited Closed 11/12/2015
Related to Foreman - Feature #12710: Revert value to the inherited one when t... New 12/06/2015

Associated revisions

Revision 04cb74c0 - 07/29/2015 09:00 AM - Shimon Shtein
Fixes #9591 - Added support for "inherit" state.

History

#1 - 03/02/2015 04:35 AM - Dominic Cleal
https://bugzilla.redhat.com/show_bug.cgi?id=1193812

- Related to Bug #6369: Unable to create host without Puppet master when specified on host group added

#2 - 03/02/2015 04:36 AM - Dominic Cleal

- Category set to Host creation

#3 - 03/02/2015 04:36 AM - Dominic Cleal

Looks like an incomplete fix in #6369, which only works on initial host creation, not editing.

#4 - 03/08/2015 08:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2230 added
- Pull request deleted ()

#5 - 06/01/2015 09:10 AM - Dominic Cleal

- Related to Bug #9532: Removing environment from a host in hostgroup that has environment silently picks hostgroup environment added

#6 - 07/06/2015 06:21 AM - Dominic Cleal
- Related to Bug #11022: Using a hostgroup with realm makes realm sticky added

#7 - 07/20/2015 05:28 AM - Lukas Zapletal
- Related to Bug #9784: Autoprovisioning via hostgroup does not populate all parameters via WebUI or APl added

#8 - 07/29/2015 09:01 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#9 - 07/29/2015 10:01 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 04cb74c06c05a06d993b3a1001e859519f2b15cf.

#10 - 07/30/2015 06:50 AM - Dominic Cleal
- Related to Bug #11255: Cloning host with host group throws error: undefined method '[]' for nil:NilClass added

#11 - 08/20/2015 03:28 AM - Dominic Cleal

- Related to Bug #11437: "Can't modify frozen Array" error on frozen arrays in select list added

#12 - 09/02/2015 09:04 AM - Dominic Cleal

- Related to Bug #11665: mail subscriptions can't be removed added

#13 - 11/13/2015 04:15 AM - Dominic Cleal
- Related to Bug #12461: Compute profiles are not applied when inherited added

#14 - 12/07/2015 03:19 AM - Dominic Cleal

- Related to Feature #12710: Revert value to the inherited one when the user presses the "inherit" button added
